%define name wmdf
%define version 0.1.5
%define release 2mdk

Summary:	An app to monitor disk IO and available space on partitions
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/WindowMaker
Source0:	%{name}-%{version}.tar.bz2
Source10:	%{name}-16x16.png
Source11:	%{name}-32x32.png
Source12:	%{name}-48x48.png
URL:		http://www.dockapps.com/file.php/id/175
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
An app to monitor disk usage,the app makes use of the OS filesystem info
and partition info functions so is very low on the CPU usage scale. It
allows you to toggle the mount point with scrolling information about the
disk usage and free space etc.

%prep

%setup

%build

%configure
%make

%install
[ -d %buildroot ] && rm -rf %buildroot

%makeinstall

install -m 755 -d %buildroot%{_miconsdir}
install -m 755 -d %buildroot%{_iconsdir}
install -m 755 -d %buildroot%{_liconsdir}
install -m 644 %SOURCE10 %buildroot%{_miconsdir}/%{name}.png
install -m 644 %SOURCE11 %buildroot%{_iconsdir}/%{name}.png
install -m 644 %SOURCE12 %buildroot%{_liconsdir}/%{name}.png

install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name} -at 99 -bl" icon="%{name}.png"\\
                 needs="wmaker" section="Applications/Monitoring" title="WmDf"\\
                 longtitle="Disk I/O and space monitoring dockapp"
EOF

# This is commented as we don't need it
#mv %buildroot/usr/bin/i586-mandrake-linux-gnu-wmdf    %buildroot%prefix/bin/wmdf
#mv %buildroot//usr/share/man/man1/i586-mandrake-linux-gnu-wmdf.1 %buildroot%_mandir/man1/wmdf.1

%clean
[ -z %buildroot ] || {
    rm -rf %buildroot
}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc AUTHORS COPYING README THANKS TODO ChangeLog
%{prefix}/bin/*
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}
%{_mandir}/man1/*

%changelog
* Sat Dec 05 2003 Franck Villaume <fvill@freesurf.fr> 0.1.5-2mdk
- little clean up
- check binary name

* Fri Apr 11 2003 HA Quc-Vit <viet@mandrakesoft.com> 0.1.5-1mdk
- Initial packaging.
